org.restlet.data

## Class Preference<T extends Metadata>

- java.lang.Object
- - org.restlet.data.Preference<T>

    public final class Preference<T extends Metadata>
    extends java.lang.Object

Metadata preference definition.

Author:
  Jerome Louvel

### Constructor Summary

Constructors
Constructor and Description
`Preference()` Constructor.
`Preference(T metadata)` Constructor.
`Preference(T metadata, float quality)` Constructor.
`Preference(T metadata, float quality, Series<Parameter> parameters)` Constructor.

### Method Summary

Methods
`T` `getMetadata()` Returns the metadata associated with this preference.
`Series<Parameter>` `getParameters()` Returns the modifiable list of parameters.
`float` `getQuality()` Returns the quality/preference level.
`void` `setMetadata(T metadata)` Sets the metadata associated with this preference.
`void` `setParameters(Series<Parameter> parameters)` Sets the modifiable list of parameters.
`void` `setQuality(float quality)` Sets the quality/preference level.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Preference

    public Preference()

Constructor.

#### Preference

    public Preference(T metadata)

Constructor.

Parameters:
  `metadata` - The associated metadata.

#### Preference

    public Preference(T metadata,
              float quality)

Constructor.

Parameters:
  `metadata` - The associated metadata.
  `quality` - The quality/preference level.

#### Preference

    public Preference(T metadata,
              float quality,
              Series<Parameter> parameters)

Constructor.

Parameters:
  `metadata` - The associated metadata.
  `quality` - The quality/preference level.
  `parameters` - The list of parameters.

### Method Detail

#### getMetadata

    public T getMetadata()

Returns the metadata associated with this preference.

Returns:
  The metadata associated with this preference.

#### getParameters

    public Series<Parameter> getParameters()

Returns the modifiable list of parameters. Creates a new instance if no one has been set.

Returns:
  The modifiable list of parameters.

#### getQuality

    public float getQuality()

Returns the quality/preference level.

Returns:
  The quality/preference level.

#### setMetadata

    public void setMetadata(T metadata)

Sets the metadata associated with this preference.

Parameters:
  `metadata` - The metadata associated with this preference.

#### setParameters

    public void setParameters(Series<Parameter> parameters)

Sets the modifiable list of parameters.

Parameters:
  `parameters` - The modifiable list of parameters.

#### setQuality

    public void setQuality(float quality)

Sets the quality/preference level.

Parameters:
  `quality` - The quality/preference level.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`